<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Colour extends CI_Model
{
    public $backgroundColorRed = [
        'rgba(100, 0, 0, 1)',
        'rgba(110, 0, 0, 1)',
        'rgba(120, 0, 0, 1)',
        'rgba(130, 0, 0, 1)',
        'rgba(140, 0, 0, 1)',
        'rgba(145, 0, 0, 1)',
        'rgba(150, 0, 0, 1)',
        'rgba(160, 0, 0, 1)',
        'rgba(170, 0, 0, 1)',
        'rgba(180, 0, 0, 1)',
        'rgba(190, 0, 0, 1)',
        'rgba(200, 0, 0, 1)',
        'rgba(210, 0, 0, 1)',
        'rgba(220, 0, 0, 1)',
        'rgba(225, 0, 0, 1)',
        'rgba(230, 0, 0, 1)',
        'rgba(240, 0, 0, 1)',
        'rgba(250, 0, 0, 1)',
        'rgba(255, 0, 0, 1)',
        'rgba(255, 10, 0, 1)',
        'rgba(255, 20, 0, 1)',
        'rgba(255, 30, 0, 1)',
        'rgba(255, 40, 0, 1)',
        'rgba(255, 50, 0, 1)',
        'rgba(255, 60, 0, 1)',
        'rgba(255, 70, 0, 1)',
        'rgba(255, 80, 0, 1)',
        'rgba(255, 90, 0, 1)',
        'rgba(255, 95, 0, 1)',
        'rgba(255, 100, 0, 1)',
        'rgba(255, 110, 0, 1)',
        'rgba(255, 120, 0, 1)',
        'rgba(255, 130, 0, 1)',
        'rgba(255, 135, 0, 1)',
        'rgba(255, 140, 0, 1)',
        'rgba(255, 150, 0, 1)',
        'rgba(255, 155, 0, 1)',
        'rgba(255, 160, 0, 1)',
        'rgba(255, 170, 0, 1)',
        'rgba(255, 175, 0, 1)',
        'rgba(255, 180, 0, 1)',
        'rgba(255, 190, 0, 1)',
        'rgba(255, 200, 0, 1)',
        'rgba(255, 210, 0, 1)',
        'rgba(255, 220, 0, 1)',
        'rgba(255, 230, 0, 1)'
    ];

    public $backgroundColorGreen = [
        'rgba(47, 75, 124, 1)',
        'rgba(102, 81, 145, 1)',
        'rgba(160, 81, 149, 1)',
        'rgba(212, 80, 135, 1)',
        'rgba(249, 93, 106, 1)',
        'rgba(255, 124, 67, 1)',
        'rgba(255, 166, 0, 1)',
        'rgba(47, 75, 124, 1)',
        'rgba(102, 81, 145, 1)',
        'rgba(160, 81, 149, 1)',
        'rgba(212, 80, 135, 1)',
        'rgba(249, 93, 106, 1)',
        'rgba(255, 124, 67, 1)',
        'rgba(255, 166, 0, 1)',
        'rgba(47, 75, 124, 1)',
        'rgba(102, 81, 145, 1)',
        'rgba(160, 81, 149, 1)',
        'rgba(212, 80, 135, 1)',
        'rgba(249, 93, 106, 1)',
        'rgba(255, 124, 67, 1)',
        'rgba(255, 166, 0, 1)'
    ];

    public $backgroundColorBlack = [
        'rgba(0,0,0,1)',
        'rgba(5,5,5,1)',
        'rgba(10,10,10,1)',
        'rgba(15,15,15,1)',
        'rgba(20,20,20,1)',
        'rgba(30,30,30,1)',
        'rgba(35,35,35,1)',
        'rgba(40,40,40,1)',
        'rgba(45,45,45,1)',
        'rgba(50,50,50,1)',
        'rgba(55,55,55,1)',
        'rgba(60,60,60,1)',
        'rgba(70,70,70,1)',
        'rgba(75,75,75,1)',
        'rgba(80,80,80,1)',
        'rgba(85,85,85,1)',
        'rgba(90,90,90,1)',
        'rgba(95,95,95,1)',
        'rgba(100,100,100,1)',
        'rgba(105,105,105,1)',
        'rgba(110,110,110,1)',
        'rgba(115,115,115,1)',
        'rgba(120,120,120,1)',
        'rgba(125,125,125,1)',
        'rgba(130,130,130,1)',
        'rgba(135,135,135,1)',
        'rgba(140,140,140,1)',
        'rgba(145,145,145,1)',
        'rgba(150,150,150,1)',
        'rgba(155,155,155,1)',
        'rgba(160,160,160,255)',
        'rgba(165,165,165,255)',
        'rgba(170,170,170,255)',
        'rgba(175,175,175,255)',
        'rgba(180,180,180,255)',
        'rgba(185,185,185,255)',
        'rgba(190,190,190,255)',
        'rgba(195,195,195,1)',
        'rgba(200,200,200,255)',
        'rgba(205,205,205,255)',
        'rgba(210,210,210,255)',
        'rgba(215,215,215,255)',
        'rgba(220,220,220,255)',
    ];
}